<?php
/**
 * The Header for our theme.
 * @package The WP Fitness
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
  <meta charset="<?php bloginfo( 'charset' ); ?>">
  <meta name="viewport" content="width=device-width">
  <link rel="profile" href="<?php echo esc_url( __( 'http://gmpg.org/xfn/11', 'the-wp-fitness' ) ); ?>">
  <?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
  <header role="banner">
    <a class="screen-reader-text skip-link" href="#maincontent"><?php esc_html_e( 'Skip to content', 'the-wp-fitness' ); ?></a>
    <div id="header">
      <div class="header-top">
        <div class="container">
          <div class="row">
            <div class="top-contact col-lg- col-md-3">
              <?php if( get_theme_mod( 'the_wp_fitness_contact_corporate','' ) != '') { ?>
                <span class="call"><i class="fa fa-phone" aria-hidden="true"></i><?php echo esc_html( get_theme_mod('the_wp_fitness_contact_corporate','' )); ?></span>
              <?php } ?>
            </div>   
            <div class="top-contact col-lg-4 col-md-4">
              <?php if( get_theme_mod( 'the_wp_fitness_email_corporate','' ) != '') { ?>
                <span class="email_corporate"><i class="fa fa-envelope" aria-hidden="true"></i><?php echo esc_html( get_theme_mod('the_wp_fitness_email_corporate','') ); ?></span>
              <?php } ?>
            </div>
            <div class="social-media col-lg-5 col-md-5">
              <?php if( get_theme_mod( 'the_wp_fitness_youtube_url' ) != '') { ?>
                <a href="<?php echo esc_url( get_theme_mod( 'the_wp_fitness_youtube_url','' ) ); ?>"><i class="fab fa-youtube" aria-hidden="true"></i></a>
              <?php } ?>
              <?php if( get_theme_mod( 'the_wp_fitness_facebook_url') != '') { ?>
                <a href="<?php echo esc_url( get_theme_mod( 'the_wp_fitness_facebook_url','' ) ); ?>"><i class="fab fa-facebook-f" aria-hidden="true"></i></a>
              <?php } ?>
              <?php if( get_theme_mod( 'the_wp_fitness_twitter_url') != '') { ?>
                <a href="<?php echo esc_url( get_theme_mod( 'the_wp_fitness_twitter_url','' ) ); ?>"><i class="fab fa-twitter" aria-hidden="true"></i></a>
              <?php } ?>
              <?php if( get_theme_mod( 'the_wp_fitness_rss_url') != '') { ?>
                <a href="<?php echo esc_url( get_theme_mod( 'the_wp_fitness_rss_url','' ) ); ?>"><i class="fas fa-rss" aria-hidden="true"></i></a>
              <?php } ?>
            </div>
            <div class="clearfix"></div>
          </div>
        </div>
      </div>
      <div class="menu-sec">
        <button role="tab" class="toggle"><a class="toggleMenu" href="#"><?php esc_html_e('Menu','the-wp-fitness'); ?></a></button>
        <div class="container">
          <div class="row">
            <div class="logo col-lg-4 col-md-4 wow bounceInDown">
              <?php if( has_custom_logo() ){ the_wp_fitness_the_custom_logo();
               }else{ ?>
              <h1><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
              <?php $description = get_bloginfo( 'description', 'display' );
              if ( $description || is_customize_preview() ) : ?> 
                <p class="site-description"><?php echo esc_html($description); ?></p>       
              <?php endif; }?>
            </div>        
            <div class="menubox col-lg-8 col-md-8 ">
              <nav class="nav" role="navigation">
                <?php wp_nav_menu( array('theme_location'  => 'primary') ); ?>
              </nav>
            </div>
          </div>
        </div>
      </div>
    </div>
  </header>
</body>
</html>

   